package data_sender_go

import (
	"loafle.com/overflow/agent_api/observer"
	"loafle.com/overflow/agent_api/observer/messages"
)

func handleConfigLoaded() {
	ch := make(chan interface{}, 0)
	observer.Add(messages.CFG_LOADED, ch)
	startDataSender(ch)
	observer.Remove(messages.CFG_LOADED, ch)
}

func (ds *DataSender) handleAgentStop() {
	ch := make(chan interface{}, 0)
	observer.Add(messages.AGT_STOPPED, ch)
	ds.Stop()
	observer.Remove(messages.AGT_STOPPED, ch)
}

func (ds *DataSender) handleCollectedData() {

}
